Skip to main content
`Ctrl`+`K`

# VecFilter

Set all values in the vector with an absolute value less than or equal to the tolerance to zero

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecFilter(Vec v, PetscReal tol)

## Input Parameters

- v - The vector

- tol - The zero tolerance

## Output Parameter

- v - The filtered vector

## See Also

`VecCreate()`, `VecSet()`, `MatFilter()`

## Level

intermediate

## Location

src/vec/vec/utils/vecio.c

## Examples

src/snes/tutorials/ex13.c
src/snes/tutorials/ex63.c
src/snes/tutorials/ex12.c
src/snes/tutorials/ex77.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages